<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <link rel="stylesheet" href="styles/blog-post-1.css" />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css"
    />
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap"
      rel="stylesheet"
    />
  </head>
  <body>
    <header class="header-wrapper">
      <div class="logo">
        <p id="logo-hkbk">HKBK</p>
        <p id="logo-glug">GLUG</p>
      </div>
      <nav class="navbar">
        <button onclick="window.location.href='index.html'">Home</button>
        <button onclick="location.href='#about'">About Us</button>
        <button onclick="location.href='#the-team-behind'">
          Meet the Team
        </button>
        <button onclick="location.href='#events'">Events</button>
        <button onclick="location.href='#resources'">Resources</button>
        <button onclick="location.href='#contact'">Contact</button>
      </nav>
    </header>
    <div class="container">
        <div class="subcontainer">
            <div class="article-header">
                <div class="genre-component">
                    <span>HISTORY</span>
                    <span>12th July 2024</span>
                </div>
                <div class="blog-title header-elements"><p>The Evolution of Open Source: From 1990s to Today</p></div>
                <div class="blog-subtitle">Tracing the rise of open source software from its early beginnings to its pervasive presence today, shaping industries and empowering developers worldwide.</div>
            </div>
            <div class="sharesheet-component">
                <i class="bi bi-signal"></i>
                <i class="bi bi-twitter-x"></i>
                <i class="bi bi-envelope"></i>
                <i class="bi bi-link-45deg"></i>
            </div>
            <div class="text-subcontainer">
                <article class="blog-content"><span>The open-source movement has significantly shaped the software industry and broader technological landscape since its inception. Starting in the 1990s, open-source software (OSS) emerged as a powerful alternative to proprietary software, promoting a philosophy of transparency, collaboration, and community-driven development.
                </br></br>
                In the early 1990s, the release of the Linux kernel by Linus Torvalds marked a pivotal moment. Torvalds' decision to make Linux open-source allowed developers worldwide to contribute, leading to rapid innovation and improvement. Concurrently, the GNU Project, started by Richard Stallman in the 1980s, provided essential tools and utilities that complemented the Linux kernel, culminating in the development of fully functional operating systems.
                </br></br>
                The late 1990s saw the rise of the Apache HTTP Server, which quickly became the most popular web server software due to its robustness and reliability. The Apache Software Foundation, formed to support Apache's development, became a model for open-source project management. During this period, open-source principles began gaining mainstream acceptance, with companies like IBM and Oracle starting to invest in and support OSS initiatives.
                </br></br>
                The 2000s brought further validation of open-source's viability. The release of the Mozilla Firefox web browser and the OpenOffice suite provided users with free, high-quality alternatives to proprietary software. The rise of platforms like GitHub in 2008 revolutionized how developers collaborate on open-source projects, making it easier to contribute and share code globally.
                </br></br>
                Today, open-source software is ubiquitous, powering critical infrastructure, applications, and services across industries. Projects like Kubernetes, TensorFlow, and the Linux Foundation's various initiatives demonstrate the ongoing innovation driven by the open-source community. Major tech companies, including Google, Microsoft, and Amazon, not only use open-source software but also actively contribute to its development.
                </br></br>
                The evolution of open-source from the 1990s to today underscores a fundamental shift towards collaborative development and shared technological advancement. This journey highlights the enduring impact of community-driven innovation and the continued relevance of open-source principles in shaping the future of technology.</span></article> 
            </div>
            
        </div>
    </div>
  </body>
</html>
